<html><head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"></head><body>
<blockquote>

<center>
<table width="90%">
<tr>
<td align="left"><img
src="https://noirlab.edu/public/media/archives/logos/screen/logo001.jpg"
height="100">
<td align="center"><img
src="https://noirlab.edu/public/media/archives/logos/screen/logo127.jpg"
height="100">
<td align="right"><img
src="https://noirlab.edu/public/media/archives/logos/screen/logo124.jpg"
height="100">
</table>
</center>

<center>
<h1>The DECam Community Pipeline
<br>Instrumental Signature Removal</h1>
<h3>Francisco Valdes, August 2021<br>
Revisions: 2022-03-04<br><a
href="mailto:frank.valdes@noirlab.edu">frank.valdes@noirlab.edu</a><br>
<a href="mailto:communitypipelines@noirlab.edu">DCP Operators</a></h3>

</center>

<center><h3>Table of Contents</h3></center>

<center><table>
<tr><th>Sections<th>Tables<th>Figures
<tr><td valign="top">
<ul>
<li><a href="#1">1. Introduction</a>
<li><a href="#2">2. Orchestration and User Requests</a>
<ul>
<li><a href="#2.1">2.1. Rapid Turnaround Processing</a>
</ul>
<li><a href="#3">3. Image Segmentation</a>
<li><a href="#4">4. Master Dome Calibrators</a>
<li><a href="#5">5. Flux Calibrations</a>
<li><a href="#6">6. Astrometry</a>
<li><a href="#7">7. Photometric Characterization</a>
<li><a href="#8">8. Sky Background Uniformity</a>
<li><a href="#9">9. Projection</a>
<ul>
<li><a href="#9.1">9.1. Projection Tangent Point Selection</a>
</ul>
<li><a href="#10">10. Stacking</a>
<ul>
<li><a href="#10.1">10.1. Exposure Rejection</a>
<li><a href="#10.2">10.2. Transient Masking</a>
<li><a href="#10.3">10.3. Moving Object Detection</a>
<li><a href="#10.4">10.4 Pixel Rejection</a>
</ul>
<li><a href="#11">11. Bad Data and Data Quality Mask</a>
<li><a href="#12">12. Data Products</a>
<li><a href="#References">References</a>
</ul>

<td valign="top">
<ul>
<li><a href="#tab1">Table 1: Causes for Excluded Exposures</a>
<li><a href="#tab2">Table 2: Orchestraion Options</a>
<li><a href="#tab3">Table 3: Flux Calibration Options</a>
<li><a href="#tab4">Table 4: Sky Flattening Options</a>
<li><a href="#tab5">Table 5: Projection Options</a>
<li><a href="#tab6">Table 6: Stacking Options</a>
<li><a href="#tab7">Table 7: Stacking Rejection Thresholds</a>
<li><a href="#tab8">Table 8: Data Quality Options</a>
<li><a href="#tab9">Table 9: Data Product Options</a>
<li><a href="#tab10">Table 10: DECam and DCP Data Products</a>
<li><a href="#tab11">Table 11: Data Product Files</a>
<li><a href="#tab12">Table 12: Data quality codes</a>
</ul>

<td valign="top">
<ul>
<li><a href="#fig1">Figure 1: DECam Focal Plane and CCD Identifiers</a>
<li><a href="#fig2">Figure 2: Typical Bias and Dome Flat Master Calibrations from 2019-03-07.</a>
<li><a href="#fig3">Figure 3: DECam Linearity and Crosstalk</a>
<li><a href="#fig4">Figure 4: Dome Flat, Star Flat, and Illum Flat</a>
<li><a href="#fig5">Figure 5: Example Pupil Ghost and Sky</a>
<li><a href="#fig6">Figure 6: Example Stacks</a>
</ul>

</table></center>

<h3> Short Description </h3>

If a brief description of the DECam Community Pipeline is needed for a
paper the follwing is a minimal description.
<blockquote>
The DECam Commultiy Pipeline provides the following operations: linearity
correction, bias subtraction, dome, photometric, and dark sky flat
fielding, bad pixel masking, masking of saturation effects and cosmic
rays, an astrometric solution, removal of background patterns including
stray light, pupil reflection, and fringing, and projection to a standard
tangent plane.  For multiple, dithered exposures a cooadd is produced
which includes transient masking.
</blockquote>

<p style="page-break-before: always">
<h3><a name="1">1. Introduction</a></h3>

<p>
The Dark Energy Camera [<a href="#decam15">DECam, 2015</a>] is a workhorse instrument on
the Victor M.  Blanco 4m Telescope at the Cerro Tololo Inter-American
Observatory (CTIO) -- a division of NSF's National Optical-Infrared Research
Laboratory (NOIRLab).  In support of this instrument the NOIRLab
Community Science and Data Center (CSDC) operates a
science pipeline, called the DECam Community Pipeline or DCP, to provide
instrumentally calibrated, science quality data products to observing
programs and, ultimately, a community archive of DECam data.  This paper
describes the calibration methods where "calibration" means the removal of
instrumental signatures.

<p>
The DCP, like all pipelines, has a life history running from a rapidly
evolving initial state to a slower evolving, mature state.  A static
state only occurs at the end of life which is not currently the case.
Therefore, a description of the pipeline is for a particular
version.  This document is for version 5, though many aspects are
the same for earlier versions.

<p>
DECam consists of 62 2kx4k CCDs (with 12 ancillary guiding and focus
detectors) each read out with 2 amplifiers (see <a href="#fig1">figure
1</a>) [<a href="#decamccds">DECam CCDs</a>].  Of
these one CCD has been unusable (N30/61) and one has had an unstable
amplifier (S7/31) for most of DECam's operation.  Another CCD (S30/02)
ceased imaging for several years but produces useable data from both before
and after this period.  Therefore, the instrumental calibration is for 60 or
61 CCD images but with one CCD not recommended for science use.

<p>
The DCP functionality, calibrations, corrections, and products are presented
in the following sections. <a href="#2">&sect;2</a> briefly describes the workflow and
requirements for the raw data, though that is not the principle topic of
this document.  It also introduces the point that while there is a standard
default calibration workflow and data products, there can be variations
depending on programs and user needs.  <a href="#3">&sect;3</a> is a quick description of
image segmentation which is a key algorithmic step in several of the
calibration operations.  <a href="#4">&sect;4</a> describes the creation of master dome
calibrators that precede science processing.  The core instrumental function
of the DCP, namely flux calibration, is described in <a
href="#5">&sect;5</a>. The
astrometric calibration, which provides a mapping of  pixel to celestial
coordinates through a world coordinate system (WCS) function, follows in
<a href="#6">&sect;6</a>.  Determining a characteristic magnitude zero point is in
<a href="#7">&sect;7</a>.
Flux calibration doesn't necessarily produce a uniform background so
<a href="#8">&sect;8</a> describes handling of the background from the sky and stray light.
<a href="#9">&sect;9</a> presents projecting the exposures to a standard, undistorted,
pixel sampling.  The projected exposures are stacked (aka coadded), with a
number of options, as described in <a href="#10">&sect;10</a>.  There are various sources of
unusable or scientifically suspect pixels which are identified and flagged
as described in <a href="#11">&sect;11</a>.  The last <a
href="#12">&sect;12</a>, describes the final data
products.  Depending on the nees and desires of the programs not all data
products may be produced.  The order of these sections do not represent the
orchestration order of the pipeline workflow where many of the steps are
intertwined.

<p style="page-break-before: always">
<blockquote><blockquote>
    <center>
    <h4><a name="fig1">Figure 1: DECam Focal Plane and CCD Identifiers [<a
href="#decamccds">DECam CCDs</a>]</a></h4>
    </center>
    <center>
    <a
    href="http://www.ctio.noao.edu/noao/sites/default/files/DECam/DECamPixelOrientation.png"
    target="figure"><img
    src="http://www.ctio.noao.edu/noao/sites/default/files/DECam/DECamPixelOrientation.png" height="400"></a>
    </center>
</blockquote></blockquote>

<h3><a name="2">2. Orchestration and User Requests</a></h3>
<!--ccds,skip,stk_exclude-->

<p>Orchestration is about what data is processed and how the workflow is
executed by the pipeline infrastructure.  While this is not the focus of
this document there are some aspects of this that can impact the programs,
are relavant to the to the following sections, and can be subject to user
needs.  Normally data orchestration and the calibration options are at the
discretion of the pipeline scientist and operator based on an understanding
of the program described in the proposal abstract and the efficient
operation of the pipeline.

<p> The DCP processes "datasets" which are any collection of raw exposures.
The operator normally choses datasets by program, night, or run.  But
other datasets can be defined as needed or requested.  The operator also
sets processing options based on the type of program and the observer or
requester's needs.  <i>Requests for special datasets is the most common form of
user interaction with the DCP</i>.

<p> There are a variety of calibration and algorithmic options in the DCP.
A default processing usually occurs shortly after the data is taken.
A common question is "when are the DCP data products available?".  It is
not possible to provide a specific timescale for various reasons
including the overall data volume for programs and possible hardware problems
(which can lead to a backlog).
<i>In general, the operator attempts to complete a program within days
or a week of the end of a run.  Data may also be available the day
after an observing run for many programs; especially those with
near-real time needs.</i>

<p> In addition to requesting expedited processing, observers or archival
users may request non-default options.  In the sections that follow many of
the alternatives are indicated.  <i>It is always useful to discuss program
requirements and desires with the DCP operators.</i>

<p> Datasets are divided into exposures to be ignored (i.e. bad), zero bias
sequences, dome flat sequences, and science exposures.  The dome sequences
are grouped by night.  The dome flat and science exposures are also divided
by filter and processed independently and often in parallel.

<p> "Bad" data consists of exposures externally labeled as bad, those
corrupted in some way (which generally are recovered if the corruption
happened during data transport), missing or invalid required keywords, and
those whose titles indicate they are or tests of various types.
Note that the word "test" itself does not cause exclusion.  <i>Observers can
flag exposures to skipped by the DCP by including the case insensitive
word "junk".</i>  <a href="#tab1">Table 1</a> summarizes the causes for exposures to be skipped
by the DCP.

<p> Observers can communicate bad exposures to be skipped by the DCP.
But since the pipeline normally will produce data products even from
bad data without impacting operations, this is usually left for the
users of the data products to exclude later.  If titles ignored by the
DCP are desired the form of titles needs to be communicated to
the operator.

<p> Another important type of bad data are any exposures with the CCD
voltages turned off or turned on in the preceding exposure since the first
exposure after the camera is activated are unusable.  Typically, activation
occurs before dome calibrations and ignoring the first calibration exposure
is part of the routine.  However, cycling the camra could occur during the
night.

<p><blockquote><blockquote>
<center><h4><a name="tab1">Table 1: Causes for Excluded Exposures</a></h4></center>
<table>
<tbody><tr><td>Ignore<td> In bad list, first exposure after
turning on detector voltages, dark, sky flat
<tr><td width="150">Keywords<br>(Missing/invalid)<td>EXPTIME, OBSTYPE, MJD-OBS, FILTER, PROPID, SATURAT?,
TELRA, TELDEC
<tr><td>Title words<br>(case insensitve)<td>Junk, pointing, focus, donut, AOS, AMap, PPMap
</tbody></table>
</blockquote></blockquote>

<p><blockquote><blockquote>
<center><h4><a name="tab2">Table 2: Orchestraion Options</a></h4></center>
<table>
<tbody><tr>
<th width="70" align="left">Details
</th><th width="100" align="left">Operation
</th><th width="150" align="left">Default
</th><th align="left">Description
</th><tr>
<td valign="top"><a href="#2">&sect;2</a>
<td valign="top">Dataset list<!--ccds-->
<td valign="top">Operator
<td valign="top">The operator normally selects exposures from a night
or run.  Users may request special datasets by supplying a list of
exposures (numbers or archive names).  A remote triggering option, usually
during observing, is possible with advance arrangements.
<tr>
<td valign="top">&nbsp;
<td valign="top">CCDs to process<!--ccds-->
<td valign="top">All
<td valign="top">This is used by the operator when CCDs
(single or a controller group) are unusable.   This could be used for
special user needs; particularly for quicker turnaround.
<tr>
<td valign="top">&nbsp;
<td valign="top">Exclude from stacks<!--stk_exclude-->
<td valign="top">31
<td valign="top">CCDs to exclude in stacks.  Partially bad CCDs in dithered
stacks can imprint throughout much of the stack.  This is
normally an operator option to deal with the unstable amplifer in
DECam without totally excluding it from other data products.
</tbody></table>
</blockquote></blockquote>

</a><h4><a name="2.1"></a><a name="2.1">2.1. Rapid Turnaround
Processing</a></h4><a name="2.1">

<p> Some observing programs desire DCP data products more quickly than
the routine processing.  This is usually so they can run an analysis
pipeline on the DCP data products.  The first step, as emphasized previously, is
discussing the project needs with the pipeline scientist or a DCP
operator.

<p> The simplest case is simply to request the program's
observations are given priority; either for the next day in day-by-day
processing or immediately after the observing run.  Next day
processing may include an automatic trigger to start at the end of the
night in Chile which is still before normal hours in Tucson, thus
cutting a few hours off the normal operator triggered turnaround.

<p> More rapid processing can occur during the observing and <i>
after data is transported to Tucson </i>.  Data transport usually
takes roughly 5 minutes but depends on the observing cadence and, of
course, other factors like internet or hardware problems.
There are two forms of processing as data as it reaches Tucson based
on whether only single exposure data products are desired or if
stacks are needed.  The latter is when pointing stacks are used as
reference for transient detection.  For individual processing an
exposure will normally be available 1 to 1.5 hours after the exposures
has been taken.  For stacks it is longer and depends on several
details.j

<p> For individual exposures the method consists of creating datasets over
some polling interval and triggering the DCP.  This is easy to do
since it doesn't require the program to do anything beyond requesting
this option.  While one might think of using a
polling interval similar to the individual exposures, this is not
efficient for DCP.  A common interval is 15 minutes.  The workflow
consists of checking for exposures not yet used in a dataset at each
interval and triggering the DCP. (A special option is possible to select
only exposures based on their titles).  Even though there are likely
multiple exposures in each dataset the processing normally takes longer than
the interval and so there will be parallel datasets running at the same
time.  This is not a serious impact on the processing, and is actually more
efficient, due to the fact the DCP is designed to optimally handle this case
on the processing cluster.  As each dataset completes it is automatically
submitted to the NOIRLab Astro Archive and an (optional) email sent to
whomever is waiting for the data products.  Note that archive ingest is not
an instantaneous step but typically in this application it only adds 10 minutes
or so until the data can be retrieved from the archive. By arrangement the
data products can be staged outside of the archive (say in a Google drive);
though that is less desirable since the overhead of ingestion in the archive
is not large.

<p> There is one aspect of the single processing to consider.  This is
whether the data products will have a DCP determined magnitude zero point.
In the current DCP this has a noticeable impact due to the overhead of
creating source catalogs to match against a reference catalog.  Programs
making use of this single exposure mode of rapid processing have been
comfortable with not having a zero point as their post DCP analysis includes
photometric calculations.

<p> The second type of processing is for the DCP stack data products,
though the triggering mechanism could be used in other ways.  The
method is for observers to define the DCP dataset themselves.  The
reason it is particularly oriented for stacks is that a stack is a
data product of a dataset; i.e. only exposures in the same dataset
will be available for stacking.  The way it works is for the observers
to create files consisting of lists of exposure identifications (one
per line) and then uploading the file(s) to a location monitored by
the DCP.  The DCP will then wait until all selected exposures have be
transported to Tucson and then trigger processing.  As a detail, the
dataset defined can be a mixture of filters since the DCP divides
processing by filter and each set of exposures in a filter and
available for stacking.  After the processing the same options of an
email after automatic submission to the archive and/or staging outside
of the archive system.  This option is a little trickier since it
requires the observers to define the datasets and upload files.  It
also will fail if there is an error in the exposure identifications
since the pipeline will wait forever on a non-existant exposure.

<p style="page-break-before: always">
<h3><a name="3">3. Image Segmentation</a></h3>

<p>
A fundamental capability in pipelines and science analysis is segmenting
images into sources and background.  Most commonly, segmenting images is
used for creating catalogs.  But in pipelines the ability to create masks
for the sources and separate out the sky is also very important.  Because
this type of operation occurs multiple times in the DCP we provide some
details in this section to avoid repeating them later.

<p>
The DCP makes use of two segmenting tools.  Because of historical legacy the
widely known Source-Extractor [<a href="#sex96">SExtractor 1996</a>]
program produces the source catalogs used for astrometric solutions
(<a href="#6">&sect;6</a>) and photometric characterization (<a
href="#7">&sect;7</a>).  the lesser known IRAF
Astronomical Cataloging Environment [<a href="#ace01">ACE 2001</a>] is used for source
characterization, masking, background sky determination and flattening, and
image difference transient detection.  This package was designed around
producing the various types of segmentation products useful in pipeline
algorithms: catalogs, object masks, two types of sky images, sky variance
images, and image difference segmentation.  It was also designed so the
products work seamlessly with other IRAF tools; especially the object masks.
This is clearly appropriate since most of the DCPs functionality comes from
IRAF tools and script modules.

<p>
The purpose of the SExtractor catalogs is clear including as the
natural input to the astrometry solver SCAMP [<a
href="#scamp06">SCAMP 2006</a>].  The ACE
catalogs are used to parametrically identify cosmic rays and satellite
trails.  They are also used in image difference mode as part of 
moving object detection when there are multiple exposures.  The source
masks are used for defining removal of bad data by interpolation,
in algorithms for background template fitting (pupil and fringe),
and when unregistered stack are produced for dark sky illumination.
The binned and unbinned sky images are used for pupil 

<p>
It is the sky background function that requires further description.
The sky is determined in 64x64 pixel blocks.  A histogram
is made of unmasked pixels and the mode determined.  An iterated standard
deviation around the mode is computed and the sky value is the mean in a 3
standard deviation window about the mode in the histogram.  When a sky value
can't be determined in a block the sky value is filled in by interpolation
from nearby blocks.  The block values can be output as a binned
"mini-sky" image.  The sky values and sigma values can also be output at
the size of the image by interpolation.


<h3><a name="4">4. Master Dome Calibrators</a></h3>

<p>
As is typical of CCD cameras, DECam observing includes taking sequences of
exposures for zero bias and flat field calibration.  The exposures are
routinely taken by observing support staff.  Zero bias exposures are taken
with the shutter closed (and with blocking filters) and a commanded exposure
time of zero.  Flat field exposures are taken of an illuminated "white"
screen in a darkened dome.  To minimize noise contributions from these
calibrators, sequences of consecutive exposures with optimal exposure times
are taken.

<p>
The nightly dome calibration sequences are processed first and in the order
of zero bias and dome flats.  The sequences are processed into coadded
master calibrations.  For random reprocessing the dataset lists don't
contain dome calibration exposures and the appropriate master calibrations
are expected to have been created and available in the DCP calibration
library.  The order of bias, dome flat, and science processing allows the
result of the preceding step to be applied to the data in the next step.

<p>
The initial instrumental calibration steps are performed on all
exposures --
dome calibrations and science alike.   These operations are header updates
(thus far just resetting saturation levels), crosstalk corrections,
saturated pixel identification, electronic (overscan) bias subtraction, and
masking of light from "hot" pixels .  Apart from the zero bias exposures,
they are also corrected for non-linearity.  These operations are described
in subsequent sections.

<p>
Zero bias sequences for each night are stacked into a master zero bias.  The
pixels at each point in the mosaic array are averaged with the highest and
lowest values excluded.  The inverse variance, referred to henceforth as
weights, of each pixel are estimated from the pixel statistics and
engineering values for readout noise and gain
measurements and stored as a weight map.  The master zero files are
available from the archive.

<p>
The dome flat sequences for each filter are corrected for bias by a master
zero bias, scaled by their medians, and stacked as the average with the high
and low value excluded.  The master bias applied is the chronologically
nearest which is almost always from the same night. The median of the dome
flat is computed in a central region with bad pixels excluded.  The weights
are estimated from the pixel statistcs and readout noise and gain values for
the amp and include the uncertainties in the bias introduced by the
bias subtraction.  The weights
are saved in a weight map for use in the science calibrations.  The master
dome flats are available in the archive.

<p>
<a href="#fig2">Figure 2</a> displays typical bias and dome flats in the g, r, and z filters.
Fine details are not visible due to the size of the field and the gain
differences of the CCDs which dominate the flat fields.

<p><blockquote><blockquote>
    <center>
    <h4><a name="fig2">Figure 2: Typical Bias and Dome Flat Master Calibrations from
    2019-03-07.</a></h4>
    </center>
    <p> The zero bias is displayed between -2 to 5 counts and the dome flats
    from +/- 20% about the global mean normalization.  Upper-left is zero bias,
    upper-right is g-band, lower-left is r-band, and lower-right is z-band.
    <p>
    <center>
    <a href="Figures/DCP/Bias_Flat_grz_190307.jpg" target="figure"><img src="PL206_files/Bias_Flat_grz_190307.jpg" height="200"></a>
    </center>
</blockquote></blockquote>

<h3><a name="5">5. Flux Calibrations</a></h3>

<p>
The primary purpose of an instrumental pipeline is to transform the raw
instrumental pixel counts to linear values with uniform proportionality with
respect to flux from the sky.  The first steps are to make the transformed
values zero when there is no light and then make the proportionality with
flux (known as the gain) be the same for all pixels at all signal levels.
Pixels that can't be transformed to scientifically useful values are
identified and recorded in a data quality mask as discussed in <a
href="11">&sect;11</a>.

<p>
In summary, the flux calibrations are correction for nonlinearity,
correction for electronic crosstalk, removal of electronic bias,
application flat fields for gain uniformity and variable pixel sizes,
and adjustments for electrostatic effects.  Another correction
sometimes applied is for CCD dark current.  This is not done by the
DCP as the dark current has a negligible effect on DECam exposures.
The methods and details of these corrections and calibrations are
provided in the rest of this section.

<p>
Estrada et al. (2010) reported DECam CCD nonlinearity at both low fluxes and
near saturation as determined from flat field images. The DCP corrects for
this nonlinearity with an amplifier-dependent lookup table that converts
bias subtracted counts to linear counts (G. Bernstein et al. 2017, in
preparation).  The lookup table has not changed since initial commissioning.
<a href="#fig3">Figure 3.A</a> shows the linearity behavior as the numerical derivative of the
lookup table; i.e. departure from an ideal linear function.  The curves for
all the amplifiers are superimposed to illustrate the similarities and
variation of the linearity.  In an ideal linear detector the curves would be
at one for all raw count values.

<p>
The camera, as is typical of parallel channel readout electronics, has some
crosstalk.  DECam has 70 CCDs, each with two amplifiers, read out in
parallel.  The crosstalk correction consists of scaling the signal from one
amplifier and subtracting it from another amplifier.  The scaling is defined
by a set of coefficients (constant up to a level near saturation and then
quadratic). <a href="#fig3">Figure 3.B</a> plots the coefficients as the excess crosstalk
contribution to an affected pixel from a 50,000 count pixel in another
amplifier; i.e. the crosstalk coefficient multipled by 50,000.  There are
three cases in the plot.  The white symbols show the excess in amplilfier A
when the source pixel is in amplifier B of the same CCD, the red symbols for
the effect of amplifier B from amplifier A on the same CCD, and the green
symbols for the effect on a CCD (in either amplifier) from a different CCD.
In general crosstalk is strongest between amplifiers on the same CCD rather
than between CCDs.

<p><blockquote><blockquote>
    <center><h4><a name="fig3">Figure 3: DECam Linearity and Crosstalk</a></h4></center>
    <p>The left figure shows linearity curves for all amplifiers superimposed as
    a function of raw counts.  These are computed by numerical differentiation
    of the linearity look-up table.
    <p> The right figure shows the crosstalk coefficients represented as the
    excess crosstalk signal at 50,000 counts as a function of CCD number.  The
    white symbols are for the effect on amplifier A by amplifier B on the same
    CCD, the red are for the effect on amplifier B by amplifier A on the same
    CCD, and the green are the effect on either amplifier by amplifiers in other
    CCDs.
    <p><center>
    <a href="Figures/DCP/lin_xt/lin_xt.png" target="figure">
    <img src="PL206_files/lin_xt.png" height="200"></a>
    </center>
</blockquote></blockquote>

<p>
The standard electronic bias corrections apply the overscan data taken at
the end of each row readout and a average zero bias pattern.  The
ovrscan corrections accounts for bias variations at the time scale of
individual line readouts while the zero bias correction is patterns
that are static over times scales of a night.  There are no suspected
bias variations (often called pattern noise) on intermediate time scales.

<p> The average overscan value, with the highest and lowest excluded, is
subtracted from each row.  While there are options for first fitting the
overscan correction over all rows to reduce sampling noise, this is be
strongly discouraged because the parallel readout of the focus and guiding
CCDs, which have half the number of rows, introduces a jump in raw counts
when they finish reading out.  Any signal bias is corrected by subtraction
of a master zero bias as described previously.

<p>
The static zero bias pattern, represented by the master zero bias
images described in <a href="#4">&sect;4</a>, is removed by subtraction.

<p>
Flat fielding is the process of correcting each pixel to the same
gain assuming a linear behavior following the linearity correction.
There are a number of commonly used techniques.  The DCP includes
these and applies then in an iterative order where each step is
a correction to the the previous ones.  It also provides for temporal
changes in the corrections by deriving calibrations on various time
scales.

<p>
The first, and most common method, is application of a dome flat field.
This is a nightly master calibration image as described in <a
href="#4">&sect;4</a>.
The DCP uses the nearest available in time for each exposure.  This
allows for possible variations in the camera gains and for potentially
missing or compromised such as by warming of the camera.  Note that this
makes the response to the projected dome screen uniform and includes, as do
all the flat field operations, measuring uniform counts even though the
optical pixel sizes are not perfectly uniform.  The normalized flat field
calibrations image is applied by division and the statistical effects of the
noise in the flat field and the science exposure are recorded in an inverse
variance weight map.

<p>
The next technique is based on photometry of stars.  This method is
variously called photometric flats, star flats, or "thousand points of
light".  The same stars are dithered spatially such that the same stars
appear on multiple amplifiers and CCDs.  Then a response pattern that
minimizes the photometric differences, after dome flat fielding, is
generated.  The method optimizes photometric uniformity for the
typical colors of the stars rather than the dome projection or dark
sky.  But since it can only sample a subset of pixels it requires
interpolation to define the response for every pixel.  This type of
flat field is also only generated a few times a year during
observatory calibration time.  The nearest photometric flat in time is
applied to the exposures.  The software used to produce the
photometric flats from the calibration exposures is that of Bernstein
[<a href="#berstein17">Bernstein 2017</a>].

<p> Ideally the dome flat field accounts for the difference in the
gains of the two amplifiers from each CCD. Due to the limitations of
converting the star photometry to a continuous photometric flat field
that calibration does not provide for amplifier gain differences.  In
practice there are noticeable background level differences in some of
the CCDs.  Whether these are color differences between the dome
and sky illumination is unclear.  Because the algorithm described next
is based on the median behavior over the dataset it is a kind of
illumination correction.

<p>
The current default calibration workflow applies an amp gain balancing step.
A median stack of all exposures for each CCD is created.  The mean value of
a 100 pixel strip on each side of the amplifier boundary is measured and a
gain balance correction is computed to match the mean of the B amplifier to
the A amplifer.  To avoid gross errors limits are placed on the correction.
First the correction is reduced by 20%.  Then for CCDs 29 and 45 the maximum
correction is set to zero; i.e. no correction.  For CCD 31 a correction up
to 100% is permitted.  For the u and narrow band filters a maximum
correction of 20% is allowed.  For all other filters a maximum of 5% is
placed.  If the correction is greater than these bounds or if the correction
is less than 0.05% then no correction is applied.  It is the case that some
CCDs have amp difference exceeding the maximum allowed correction so these
are left unchanged.

<p>
The last common technique is dark sky illumination flat fields.  This is
based on producing uniform response to sky.  These require datasets with a
sufficient number of well dithered and measurable sky background exposures.
As opposed to star flats this provides illumination of all pixels and can be
generated more frequently from the program observeration but is different
photometrically because the color of the sky is not the same as typical
stars.  It also suffers from the challenge that the sky is not really
uniform due to other sources of additive light.  When these are generated
the operator inspects them to ensure no source light is being imprinted on
the result.

<p>
The DCP generates dark sky illumination images by combining
unregistered images with sources masked by ACE and with some
statistical rejection.  This is done after the sky uniformity corrections
described in <a href="#8">&sect;8</a>.  The stack is then smoothed, since it is rare
there is enough clear data at each pixel, by amplifier and with a
variable smoothing scale to follow more rapid variations near the CCD
edges.  These flat fields are applied in the usual fashion by
normalizing over all CCDs and dividing into the science exposures.
Note that dark sky illumination images may be used instead as a
sky flattening step rather than as a flux calibration step.

<p>
Dark sky illumination images, either for gain or sky uniformity, are
options and are currently not used by default.  It can be useful for
narrow band programs.

<p> An example grayscale rendering of the three types of flat field
calibrations is shown in <a href="fig4">fig. 4</a>.
These are selected as the nearest
available in time.  For bias and dome the master calibrations are typically
from the same night as the exposure.  For the photflat these are only
generated periodically.  Illumation flats were generated from runs with many
exposures.  Use of illumination flats was deprecated when star flats became
available at different epochs.  The calibrations used are documented in the
data product headers.

<p><blockquote><blockquote>
    <center><h4><a name="fig4">Figure 4: Dome Flat, Star Flat, and
Illum Flat</a></h4></center>
    <p>These are r-band flat fields. (left) Dome flat +/- 20%, (middle)
    Star flat +- 20%, (right) Dark sky illumination flat +/- 1%.
    <p><center>
    <a href="Figures/DCP/DEC20B_CMV20201011-59133rF.jpg"
    target="figure">
    <img src="PL206_files/DEC20B_CMV20201011-59133rF.jpg" height="200"></a>
    <a href="Figures/DCP/STARFLAT_20201010_98d2bf0-rP_cj.jpg"
    target="figure">
    <img src="PL206_files/STARFLAT_20201010_98d2bf0-rP_cj.jpg" height="200"></a>
    <a href="Figures/DCP/DEC19A_20190302_9473171-rI-ci.jpg"
    target="figure">
    <img src="PL206_files/DEC19A_20190302_9473171-rI-ci.jpg" height="200"></a>
    </center>
</blockquote></blockquote>


<p><blockquote><blockquote>
<center><h4><a name="tab3">Table 3: Flux Calibration Options</a></h4></center>
<table>
<tbody><tr>
<th width="70" align="left">Details
</th><th width="100" align="left">Operation
</th><th width="150" align="left">Default
</th><th align="left">Description
</th><tr>
<td valign="top">
<td valign="top">CCD ops <!--ccdproc_skip-->
<td valign="top">skip bf
<td valign="top">Standard CCD calibration to skip. The calibrations
are static bad pixel flags, linearity, zero bias, dome flat, photometric
flat, "brighter-fatter", and amp gain balancing.  The default is all
operations but the "brighter-fatter" correction.
<tr>
<td valign="top">
<td valign="top">Dark sky flat <!--skip="ill,cor", ill_mkcor, ill_minexp, cor_type-->
<td valign="top">skip
<td valign="top">Create and apply a dark sky illumination flat.
</tbody></table>
</blockquote></blockquote>

<h3><a name="6">6. Astrometry</a></h3>

<p>
Astrometric calibration consists of matching stars in an exposure
with an astrometric reference catalog and fitting a world coordinate system
(WCS) function mapping image pixel coordinates to celestial coordinates for
each CCD.  The WCS function for a CCD is a 3rd order bidimensional polynomial
distortion followed by tangent plane projection in a FITS formalism, called
TPV [<a href="#tpv11">TPV 2011</a>].

<p>
The source catalogs for each CCD are generated by SExtractor
[<a href="#sex96">SExtractor 1996</a>].  These
are matched against the 2MASS reference catalog (PLVER &lt; 3.10), Gaia DR1
(PLVER between 3.11 and 4.1), and Gaia DR2 (PLVER &gt; 5.0).  The source
catalogs include celestial coordinates evaluated from the instrumental pixel
centroids, a predefined library WCS, and the pointing supplied at the
telescope.  The matching is done by SCAMP [<a href="#scamp06">SCAMP
2006</a>].  A vaild match requires
the matching statistics (number of stars, RMS, and Chi^2) to meet certain
thresholds.

<p>
There are a number of reasons the matching may fail with the most common one
being low transparency, i.e. clouds, producing few or no stars.  During this
and subsequent steps a failure results in a header keyword indicating the
failure.

<p>
Each CCD has a predetermined WCS function that defines the CCD position and
orientation in the mosaic array relative to a tangent point near the center
of the field.  It also includes a higher order distortion map.
The predetermined distortion maps were derived by the DES project
[<a href="#despipe18">DES Pipeline, 2018</a>].  The same maps have bee used in all DCP
processing.

<p>
These library WCS functions correct each star to a nominal undistorted
astrometric coordinate.  The astrometric solution then fits a 3rd order
polynomial to adjust the tangent point, orientation, and a constrained large
scale distortion across the mosaic array to minimize the errors in the match
to the astrometric catalog.  The solution is then exported to the CCD header
WCS in the TPV formalism [<a href="#tpv11">TPV 2011</a>].  This solution method essentially keeps
the predetermined metrology with allowance for a constrained distortion of
the focal plane.  There are no proper motion or epoch adjustments
currently.

<h3><a name="7">7. Photometric Characterization</a></h3>

<p>
A photometric characterization provides a magnitude zero point (MAGZERO,
MAGZPT) and photometric depth (PHOTDPTH) in the data product metadata
header.  The magnitudes are based only on the single filter instrumental
magnitudes It is computed using PS1 (provided the WCS solution was
successful).  Another SExtractor source catalog is generated with the new
WCS is then matched to the PS1 sources.  This is not hard given a successful
astrometric calibration.  However if this fails (when the astrometric
solution appeared successful but was not actually correct), then the
photometric and astrometric solutions are marked as failed in the data
headers.

<p>
A magnitude zero point is determined by an iterated, sigma clipped
average of the instrumental to reference magnitude differences.  The zero
point and various associated photometric quantities are recorded in the
image headers.  A photometric catalog of detected sources with zero point
calibrated magnitudes is also produced but is not exported as a data
product.

<p>
A photometric depth characterization (available starting Oct. 2021) is
based on the seeing, sky noise, and magnitude zero point.  The
dependence on the exposure time is implicit in the magnitude zero point
and the sky noise.  The depth is for a 5 sigma detection through an
optimal aperture for a gaussian PSF of the measured FWHM.


<h3><a name="8">8. Sky Background Uniformity</a></h3>

<p>
The goal of these steps is to produce a constant background across the field
by adding or subtracting counts.  There are two primary reasons for this;
making it easier for later photometry algorithms to measure background and
for visual evaluation.  The latter is more than just esthetic -- the eye is
very good at finding systematic problems in displays of the image, but
background gradients make such evaluations less sensitive.  Some instrumental
pipelines go so far as removing background to a zero level.  The DCP
maintains the original mean sky level as a potentially useful characteristic
of the exposure.

<p>
There are two challenges in estimating the sky background.  One is that,
despite the various gain calibrations, there may still be variations caused
by residual gain errors.  Disentangling multiplicative and additive effects
ultimately requires an assumption that one is negligible compared to the
other.  We assume the various steps described for gain uniformity,
particulary the photometrically derived flat fields, are sufficient at
whatever scale the background is to be made uniform.  The second problem is
with very large scale, low surface brightness light from astronomical
sources such as large galaxies and inter-galaxy cluster light.  This is
guided by the science targets.  For many programs the objective is the distant
extra-galactic population where sources are small.  Studies of larger scale
or low surface brightness sources either reduce the scale over which
background patterns are measured or completely skip this step.  The
operator attempts to judge this from the proposals but user requests
can be used in a first or additional processing.

<p>
There is a reflection path between the filter and the dewar window in DECam.
This reflection produces a large doughnut pattern, often referred to as a
pupil ghost, whose amplitude varies with the filter and amount of light in
the field of view.  The photometric effect on the data is accounted for by a
removing the pattern in the master dome flat field and by the photometric
star flat.  What remains in the science data is a background that to be
subtracted.  The methods used to deal with the pupil ghost have evolved over
time and each can leave some low level residuals (at a small fraction of the
pattern amplitude) in the large scale background.

<p>
There are also large scale patterns in the sky background that vary
with the observing conditions; primarily from stray and scattered light
in the telescope and dome and, particularly, from moon light.
Smaller, more defined, patterns are reflections from very bright stars
that produce halos of various sizes and distances from the culprit
star.  The DCP does nothing for the latter case.
For the former, the DCP defaults to fitting a large scale function across
the field of view.

<p> The pupil and stray light patterns are, of course, part of a single
background which the DCP addresses in stages; first the pupil ghost and then
the stray light.  Unfortunately this is also coupled with residual response
differences in the CCDs which, as noted previously, are considered to be
removed by the preceding flat fielding.  The remaining amplifier and CCD
differences are then attributed to background light color differences.

<p> An ACE mini-sky image is produced for each CCD.  These are pasted
together into a single representation of the DECam focal plane.  <a
href="#fig5">Figure 5.A</a>
shows an example.  This single image representation of the full field allows
measuring large scale patterns such as the pupil ghost and background
gradients.


<blockquote><blockquote>
<center><h4><a name="fig5">Figure 5: Example Pupil Ghost and Sky
Segmentation</a></h4></center>
<center>
<a href="Figures/DCP/omisky-201126003647.jpg" target="figure">
<img src="PL206_files/omisky-201126003647.jpg" height="200"></a>
</center>
</blockquote></blockquote>

<p>
The pupil pattern is removed by subtracting a template with an amplitude
determined for each exposure.  The template is created by fitting functions
in polar coordinates.  First fits are made to rings at different radii.
Then radial functions are fit to across the ring values with the inner and
outer most rings defining the background levels.  This is done for all
exposures from a good night with many exposures.  These single exposure fits
are stacked to form the pupil template.  This is done for each filter and
filter slot because the slots are located at different distances from the
dewar and, hence, have different sizes.

<p>
The templates from the polar fits do not capture the effect of
different sky responses between amplifiers and CCDs.  For this reason a
second residual template is made from a following stack of the mini-sky
exposures after scaling and subtracting the pupil pattern template.  This
average residual pattern is then applied to each exposures after the ring
fitting template.

<p>
<a href="fig5">Figure 5</a> shows an example of a single exposure mini-sky (A),
a template (B), and the result after subtracting the pupil and
residual templates (C).

<p> After the pupil pattern is removed, <a href="fig5">figure 5.C</a>, the
remaining background of the mini-sky image is typically fit by a
bi-dimensional cubic spline with a scale length of approximately two CCDs.
This does a good job with smooth gradients but some residual stray light
patterns in bright moonlight are not removed.  These are often streaks
across the field with position angle dependent on the geometry of the
telesope pointing and the moon. This is most visible in z-band exposures
which are typically taken during moonlight conditions.  The mean of the
pupil plus background pattern is removed from the mini-sky which is then
magnified by linear interpolation for each CCD and subtracted.  The result
is that the mean background of the exposure retains its counts while the
pupil pattern, gradients, and other large scale patterns are removed.
The result is the "InstCal (oi)" product type.

<p> There are some options for the background treatment just
described.  It is possible to request no pupil removal and/or large
scale fitting.  It is also an option to adjust the order of the fit.
At the opposite extreme the mini-sky can be removed without any
fitting.  This mode is useful to largely remove large, bright star
reflection doughnuts, though the edges of the pattern are still
noticable.  I has been used in making deep dither stacks of larger
fields that inevitably have a bright star and contaminating
reflections bleeding through.

<p> Besides the bacground adjustments based on the mini-skies there is
another product type "SkySub (ok)".  This uses the ACE background
estimation within each CCD.  Unlike the earlier step there is no
creation of a full field background and any operations on it.  This
background treatment is particularly good for making stacks because
different, overlapping CCDs are best matched.

<p> A final background flattening option, which is largely depricated now,
is to use a dark sky background over the dataset (remember this is typically
a night or run of consecutive nights).  The unregistered exposures, provided
they are well dithered and in a sufficient number, are stacked with sources
masked by ACE with some statistical rejection.  The stack is then smoothed
within amplifiers and with spatial frequencies that increase at the edges to
catch more rapidly varying edge effects.

<p><blockquote><blockquote>
<center><h4><a name="tab4">Table 4: Sky Flattening Options</a></h4></center>
<table>
<tbody><tr>
<th width="70" align="left">Details
</th><th width="100" align="left">Operation
</th><th width="150" align="left">Default
</th><th align="left">Description
</th><tr>
<td valign="top">
<td valign="top"> Sky <!-- skysub -->
<td valign="top"> 8
<td valign="top"> Type of sky flattening.  This can be none, the
full field segmentation sky alone, or fitting of the segmentation sky
by a 2D cubic spline of a specified number of pieces.
<tr>
<td valign="top">
<td valign="top"> Pupil <!-- sky_pupil -->
<td valign="top"> yes
<td valign="top"> Subtract the reflection pupil pattern with a
template or ring fitting.
<tr>
<td valign="top">
<td valign="top"> Fringe <!-- omi_dofrg -->
<td valign="top"> Y and NB
<td valign="top"> Subtract a fringe template.  The fringing is
generally weak and the templates not very good so this is generally
only done for Y and narrow band filters.
<tr>
<td valign="top">
<td valign="top">Dark sky <!--rsp_local-->
<td valign="top">skip
<td valign="top">Use a dark sky illumination stack (the coherent
pattern) from a night or run as a sky pattern.  This is normally
not done.
<tr>
<td valign="top">
<td valign="top">CCD local <!--rsp_local-->
<td valign="top">yes
<td valign="top">Determine a local sky in each CCD by image
segmentation.  Currently this only occurs if projection is also enabled.
</tbody></table>
</blockquote></blockquote>

<h3><a name="9">9. Projection</a></h3><a name="9">

<p>
By default the DCP will create data products where each CCD is projected
to a standard orientation and uniform pixel size.
The orientation is a tangent projection with north up
and east to the left at the tangent point.  The default pixel size is 0.27
arcseconds.  The projection is done using a sinc interpolator with a
17 pixel window.
There are no flux adjustments made for changes in the pixel
sizes.  This is the appropriate behavior for flat fielded data which
have adjusted pixels to be for a uniform illumination.  The same
interpolation method is applied to the weight map.  The data quality
mask is
projected using linear interpolation such that if any part of a masked
pixel in the original image overlaps a projected pixel then that data
quality mask of the projected exposure will have a data quality value.
Regions outside of the CCD boundaries are also identified in the map.

<p>
The projection is dependent on a successful astrometric solution.  If the
astrometric solution or the matching of stars (based on an apparently good
but invalid solution) for the photometric characterization fail then no
projected data products are produced; though the those in the instrumental
sampling are produced.  And those exposures that are not projected will
also not contribute to any coadded stacks.

<p>
The projection is also dependent on the tangent point used.  Only when the
tangent point is the same between two exposures will the exposures be
stackable without further resampling.  Therefore a key aspect of the
projection step is chosing a tangent point that allows stacking of
overlapping exposures.  Normally the TPs are taken from grid on the sky.
There are options to use the center of each exposures independently and for
explicitly defining tangent points.  The former is to minize tilting of rows
and columns relative to the celestial axes and the latter for building large
stacks around specific target positions.

<p>
The operator choses which background treatment to project based on the
science program or user request.  For most programs
this is usually just the CCD level version.  If large galaxies or
galactic nebulosity are expected then both focal plane and CCD
projections are done.  Only one version is produced as a data product
with preference to the CCD level version.  However, if both versions
are projected they are used to create to versions of stacks.


<p><blockquote><blockquote>
<center><h4><a name="tab5">Table 5: Projection Options</a></h4></center>
<table>
<tbody><tr>
<th width="70" align="left">Details
</th><th width="100" align="left">Operation
</th><th width="150" align="left">Default
</th><th align="left">Description
</th><tr>
<td valign="top"><a href="#9.1">&sect;9.1</a>
<td valign="top">TP grid<!--rsp_grid-->
<td valign="top">0.8 degree
<td valign="top">Healpix candidate tangent point grid spacing.
<tr>
<td valign="top"><a href="#9.1">&sect;9.1</a>
<td valign="top">Group radius<!--rsp_tileradius-->
<td valign="top">0.25 degree
<td valign="top">Radius prioritizing grouping of exposures even
through they may be closer to different tangent grid points.
<tr>
<td valign="top"><a href="#9.1">&sect;9.1</a>
<td valign="top">TP file<!--rsp_tp-->
<td valign="top">None
<td valign="top">A user requested list of tangent points.  This is
used to build large dither stacks at specific centers.
<tr>
<td valign="top"><a href="#8">&sect;8</a>
<td valign="top">Pixel size<!--rsp_pixsize-->
<td valign="top">0.27 arcsec/pixel
<td valign="top">Projection pixel size. This would only be changed
in very special circumstances.
<tr>
<td valign="top"><a href="#8">&sect;8</a>
<td valign="top">Focal plane background
<td valign="top">
<td valign="top">Project data with just focal plane background fitting.
<tr>
<td valign="top">&nbsp;
<td valign="top">CCD background
<td valign="top">
<td valign="top">Project data with CCD level background fitting.
</tbody></table>
</blockquote></blockquote>

</a><h4><a name="9"></a><a name="9.1">9.1. Projection Tangent Point Selection</a></h4><a name="9.1">

<p>The normal DCP behavior is to maximize the likelihood of having the same
TP when exposures overlap on the sky.  There are two parts to this; using a
grid of candidate tangent points on the sky and an intelligent grouping
algorithm that assigns exposures to the same grid point even when dithers
and offsets would be closer to different grid points.  The grid of points is
a Healpix pixelization using a size parameter whose default separation value
is 0.8 degrees.

<p>The grouping is controlled by a radius parameter with a default of a
quarter of a degree.  The grouping is a kind of "greedy" algorithm that puts
together exposures with centers that dither within the radius.  The grid and
radius parameters can be adjusted for different circumstances.  A large grid
spacing allows large maps where exposures may not overlap by much.  A small
radius  allows small dither pointings to not be put together with
nearby dithers that overlap by a fraction of the field of view.

<p>The option for assigning TPs from user specified positions uses a
standard celestial crossmatch method between the list of desired tangent
points and the exposure centers.   The crossmatch matching distance given is
the radius parameter.  Those exposures that are not matched to within
desired distance of a requestion position are assigned TPs by the normal
grouping algorithm.  This option has been used by a program making stacks to
cover a number of different survey fields over a wider area than a single
DECam field and over multiple runs.

</a><h3><a name="9.1"></a><a name="10">10. Stacking</a></h3><a name="10">

<p>
By default the DCP will stack projections with the same tangent point,
filter, and exposure time bin.  <a href="fig5">Figure 5A</a> shows the result of a typical
small dither stack.  If the two types of projection are created then
stacks for each type are produced.  <a href="fig5">Figures 5B and
5C</a> show a stack with a
large offset in which B and C are without and with per CCD background
fitting.  The 5B and 5C figures illustrate the "unsharp masking" effect when
data has nebulousity and small scale background fitting.  Control over what
exposures are stacked is based on the dataset definition.  The operator
generally defines datasets based on nights or runs without regard to what
stacks might be produced.  Users may request custom stacks by providing
lists of exposures for each desired stack or, by advance arrangement,
features of the observing program or using the dataset trigger from the
telescope.  There are many options available for stacking as summerized in
<a href="#tab6">Table 6</a> with details in later sections.

<p>
Stacking consists of scaling the exposures to match the flux scale and
background level of the earliest exposure.  The flux scale is based on the
results from <a href="#7">&sect;7</a>.  Once the exposures are scaled the unmasked
pixels are averaged at each point in the sky sampling.  The averaging may
include statistical rejection and weighting.

<p> There are two cases where no unmasked pixels are available for coadding.
One is when an output sample point was not observed by any CCD due to
undithered gaps or outside the non-rectangular focal plane in the
rectangular output data product.  In this case a "blank" sky level value is
used. The second is when all pixels within overlapping CCDs are masked; most
commonly due to bright, saturated stars.  In this case the masked pixel
values are averaged.  The output data quality mask will identify these two
cases.

<p> A rare option available by request is to stack each CCD separately
as opposed to the all CCDs in the exposures.  This is only sensible if no
dithering is done so that there is no overlap between different CCDs
and the science program analyzes stacks by CCD.

<p> A weight map for the stack is produced by applying the same
coadding process to the individual variance values.  The stacking may
also use the optional weights but not the optional statistical rejection
(10.4).

<blockquote><blockquote>
<center><h4><a name="fig6">Figure 6: Example Stacks</a></h4></center>
<center>
<table>
<tr>
<td>
<a href="Figures/stacks/stack.png" target="figure">
<img src="Figures/stacks/stack.png" height="200"></a>
<td>
<a href="Figures/stacks/osi.png" target="figure">
<img src="Figures/stacks/osi.png" width="200"></a>
<td>
<a href="Figures/stacks/osj.png" target="figure">
<img src="Figures/stacks/osj.png" width="200"></a>

<tr><td align="center">A<td align="center">B<td align="center">C
</table>
</center>
</blockquote></blockquote>

<p><blockquote><blockquote>
<center><h4><a name="tab6">Table 6: Stacking Options</a></h4></center>
<table>
<tbody><tr>
<th width="70" align="left">Details
</th><th width="200" align="left">Operation
</th><th width="100" align="left">Default
</th><th align="left">Description
</th><tr>
<td valign="top"> &nbsp;
<td valign="top">Stack mode<!--stk_mode-->
<td valign="top">Exposure
<td valign="top">The default stack is over all good CCDs of all
candidate exposures.  There is an option to produce stacks for each
CCD separately which is only sensible when there is no dithering so
that different CCDs don't overlap each other.
<tr>
<td valign="top"> &nbsp;
<td valign="top">Exposure bins<!--stk_bins-->
<td valign="top">1,10,60,300
<td valign="top">Data for stacking is grouped by filter and tangent
point.  In addition, exposures are grouped by exposure time with the
default of extremely short (&lt;1s), very short (&lt;10s),
short (&lt;60s), medium (&lt;300s), and long (≥300s).
If desired the bin boundaries can be adjusted.
<tr>
<td valign="top"> &nbsp;
<td valign="top">Exposures per stack<!--stk_maxstack,stk_minstack-->
<td valign="top">2-100
<td valign="top">Datasets with more than the maximum are split into smaller,
similar sized stacks.  A stack of of one is allowed to produce an
exposure data product in the same stack format.
<tr>
<td valign="top"> <a href=#10.1">&sect;10.1</a>
<td valign="top">Exposure rejection<!--stk_rejexp-->
<td valign="top">yes
<td valign="top">Outlier exposures in seeing, transparency, sky brightness, or
tracking are excluded algorithmically.
<tr>
<td valign="top"> <a href=#10.2">&sect;10.2</a>
<td valign="top">Transient masking<!--stk_skip-->
<td valign="top">yes
<td valign="top">Significant sources in the difference of an exposure to a median
stack are added to ood and opd data quality data products.
<tr>
<td valign="top"> <a href=#10.3">&sect;10.3</a>
<td valign="top">Moving object detection<!--stk_mov-->
<td valign="top">≥3
<td valign="top">With more than the specified number of exposures the sources in
the difference with respect to the median which form a linear
trajectory are identified and recorded. 
<tr>
<td valign="top"> <a href=#10.4">&sect;10.4</a>
<td valign="top">Pixel rejection<!--stk_reject,stk_minmax-->
<td valign="top">None
<td valign="top">Optional rejection of pixels (beyond masked pixels) may include
nhigh/nlow and statistical clipping algorithms.
<tr>
<td valign="top"> <a href=#10">&sect;10</a>
<td valign="top">Weighting<!--stk_wts1,stk_wts2-->
<td valign="top">None
<td valign="top">Optional, user specified, weighting may be applied to the
averaging.
<tr>
<td valign="top">
<td valign="top">Tile size<!--stk_sztile-->
<td valign="top">16k
<td valign="top">The full field stack image is divided into similar
sized tile extensions of up to this size in the data product.  By
optionally changing the size it is possible to produce a single
extension tile of the full field.
<tr>
<td valign="top">
<td valign="top">Stack of stacks<!--stk_sta-->
<td valign="top">None
<td valign="top">After all stacks in a top level dataset are created
they may be stacked by filter, night, or even over all filters.
</tbody></table>
</blockquote></blockquote>

</a><h4><a name="10"></a><a name="10.1">10.1. Exposure Rejection</a></h4><a name="10.1">

<p> Default stacks, those without input from the observers and
intended for archive users, exclude exposures with poor seeing or
transparency, high sky levels, or shapes indicating bad tracking.
Rejection requires that at least half
of the input exposures remain so for a fairly common observing mode
with pairs of exposures at the same pointing (often called cosmic-ray
splits) no rejection occurs.

<p> Bad tracking is identified by average ellipticity of the sources
exceeding 0.5.  The other factors
are identified as outliers with respect to the median of
the input exposures.  The metric for transparency is the
multiplicative scaling derived from the magnitude zero points.
The averge full width at half maximum (FWHM) of the "stars" is used
for seeing. A rejection threshold is computed from the median of
each metric as:

<p><blockquote><blockquote>
<center><h4><a name="tab7">Table 7: Stacking Rejection Thresholds</a></h4></center>
<table>
<tbody><tr>
<th width="200" align="left">Factor
</th><th> Rejection threshold
</th><tr>
<td> Scale
<td> maximum of 1.5*median or median + 2.5 * (median-minum)
<tr>
<td> FWHM
<td> maximum of 1.5*median or median + 2.0 * (median-minum)
<tr>
<td> Sky Brightness
<td> maximum of 1.5*median or median + 10.0 * (median-minum)
<tr>
<td> Ellipticity
<td> 0.5
</tbody></table>
</blockquote></blockquote>

</a><h4><a name="10.1"></a><a name="10.2">10.2. Transient Masking</a></h4><a name="10.2">

<p> Transients are "sources" which don't appear in all the exposures.
The most common transient is, of course, cosmic rays.  Other types of
transients are asteroids and satellite trails.  While changes in
sources due to supernovae or variability are often call transients as
well, the detection method used by the CP is, by design, insensitive
to these.

<p> A median stack is produced from the set of unrejected exposures.
For the case of two exposures the lowest value is used.  One might
suggest using some external reference image but this is not currently
and option in the DCP which works only on the data presented to it by
the dataset definition.

<p> The median is subtracted from each exposure and residual sources are
detected and cataloged.  This is often called an image difference
algorithm.  There is no point spread function matching in this DCP
algorithm.  Because of this, seeing variations can produce may
difference sources around brighter source.  To eliminate this there
are two factors which must statisfy thresholds.  The first one is the flux
in a difference source compared to the flux in the median image within
the same footprint.  If the difference source flux is less than
a threshold it is not considered a detection.  This is why the method
is not sensitive to transients within non-transient sources.
The second factor is a statistical significance with respect to the
background noise.

<p> This is the basic concept.  Because of the wide variety of
datasets and data quality there are several heuristics to
reduce the number of transient identifications to a realistic number.
This includes a parameter for the maximum number of difference sources
(10000), setting initial thresholds based on the number of input
exposures, and iteratively increasing the flux ratio and source significance
thresholds to reduce the number below the maximum.


</a><h4><a name="10.2"></a><a name="10.3">10.3. Moving Object Detection</a></h4><a name="10.3">

<p> The difference catalogs described in the last section are analyzed to
find three or more difference sources that have a consistent rate and
position angle for linear motion, as well as similar magnitudes.  The
algorithm is described in [<a href="#mods15">MODS 2015</a>].  The
sources are saved for later review and reporting.  The sources are saved in
a file with cutouts around each position and in a database.  This
information is not currently in the form of data product.  The final
asteroid measurement are reported to the Minor Planet Center for
non-proprietary, galactic, and extragalactic programs.  Measurements from
proprietary solar system programs are embargoed until the observations
become public except that new near earth object (NEO) candidates are always
reported.

<p> The detection algorithm is described in [<a href="#mods15">MODS
2015</a>].  The method
performs well for 5 to 9 exposures.  Sometimes a dataset 
consists of a large number of exposures at the same pointing.  in this
case the DCP breaks up the exposures in smaller sets for moving object
detection as well as still stacking the entire dataset.  The default method
for breaking up the long set of exposures is as interleaved subsets
with a target of 5 or 6 exposures per sed.  This allows for having longer
steps between exposures which works well for all cases from fast
moving NEOs to slow moving, distant objects.  Without the interleaving
many of these time series datasets would be only sensitive to fast
moving objects while slower moving objects will not have moved more
than a PSF distance.  Later, compilation of the results merge these
interleaved detections into single objects.

</a><h4><a name="10.3"></a><a name="10.4">10.4 Pixel Rejection</a></h4><a name="10.4">

<p> The default coadd is the average of all unmasked pixels at each common
pixel position.  Ideally, the data quality methods applied to the
exposures find all the pixels that should be excluded.  However, this
is not always the case for cosmic rays and satellite trails.
So, optionally, values may be excluded as outliers in the coadd pixels by
some statistical way.  This is less desirable because variations in
seeing will exclude good data and cause systematic photometric
effects.

<p> If there are enough exposures and if it is preferable for a stack
to have minimal contamination from cosmic rays and satellite trails it
can be appropriate to apply a rejection algorithm to the set of pixels
making up a coadd.  The available methods are those provided by the
IRAF task <tt>imcombine</tt>, which is the program used for making the
stacks.  The most appropriate methods are rejection of a fixed number
of high and low pixels or a constrained estimate of the width of the
statistical distribution.  The latter is the <tt>avsigclip</tt>
algorithm.


<p style="page-break-before: always">
</a><h3><a name="10.4"></a><a name="11">11. Bad Data and Data Quality Mask</a></h3>

<!-- dq_mode, ccd_mask, slenmin, spotmin, starmask -->

<p>
The DCP produces a data quality map (aka bad pixel mask) for each flux
data product.  This map, which is an image raster of a matching
size, has integer values for different conditions.  The codes are
shown in <a href="#tab12">table 12</a>.

<p>
Detector bad pixels are defined by instrument scientists and the
DCP operator as unusable.  Saturated pixels are identified based on pixel
values after crosstalk correction and electronic (overscan) bias
subtraction.  The thresholds for saturations are set by the instrument
scientists.  Bleed trails are identified algorithmically.  This
includes "edge bleeds" produced by extremely bright stars saturating
the serial readout register and affecting the image lines near
register.  There are also a "star" masks which are magnitude dependent
circles over bright stars (defined as having saturated pixels).

<p> The identification of cosmic rays events has evolved over time.  The
cosmic ray algorithm is a DECam version of an LSST algorithm provided by
DESDM.  An additional NOAO developed algorithm is based on ACE catalog
parameters.  There is also the transient masking, described in <a
href="#10.2">&sect;10.2</a>,
which is added to both projected and unprojected data products.  In addition
to cosmic rays there is also an algorithm that identifies parts satellite
streaks based on ACE segmentation.  These various transient detection
algorithms are designed to be conservative to avoid misidentifying true
celestial sources.  Therefore, many streaks and some cosmic rays are missed
and not labeled in the data quality mask.

<p>
There is an LED masking step to mask light from glowing pixels that
otherwise corrupt the DCP calibrations.
The LED step determines the strength of the glow and
masks a region around the pixel based on that strength.
Currently there are no LED pixels and so this step is be skipped.

<p>
The data quality mask for projected and stacked data produces also
includes identification of areas in image rasters where there is no
data.  This is caused by both the projected edges not being parallel
to the image raster edges, the areas outside the stack of all the CCDs
in the focal plane configuration, any remnants of gaps in a coadd, and
the cores of bright sources in a stack where all exposures have
saturated pixels.

<p>
There is a user option is to provide mask files to be added to the DCP
data quality mask.  These are images with zero and non-zero values in
the pixel sampling of the unprojected CCDs.  They would typically
make use of an initial DCP unprojected data product.  This option is
primarily used to improve coadds by masking satellite trails and other
features that bleed through.  Users need to consult with the operator
about how to provide these masks.


<p><blockquote><blockquote>
<center><h4><a name="tab8">Table 8: Data Quality Options</a></h4></center>
<table>
<tbody><tr>
<th width="70" align="left">Details
</th><th width="100" align="left">Operation
</th><th width="150" align="left">Default
</th><th align="left">Description
</th><tr>
<td valign="top">
<td valign="top">DQ mode<!--dq_mode-->
<td valign="top">
<td valign="top">TBA
<tr>
<td valign="top">
<td valign="top">User masks<!--ccd_mask-->
<td valign="top">
<td valign="top">User masks to add to the DCP data quality mask.
</tbody></table>
</blockquote></blockquote>


<h3><a name="12">12. Data Products</a></h3>

<p>
The last steps of the DCP are to create the final data products and archive
them in the NOIRLab Science Archive.  <a href="#tab10">Table 10</a> identifies the different data
products and <a href="#tab11">table 11</a> defines the data product filenames as stored in the
archive. Not all data products will be created for every program.  <a
href="#tab12">Table 12</a>
specifies the data quality codes in the data quality masks.

<p>
The data products are all compressed FITS files [<a
href="#fits18">FITS V4.0 2018</a>].  When
uncompressed they are FITS multi-extension files (MEF [<a
href="#fits18">FITS V4.0 2018</a>] with
a dataless primary header of global keywords applying to all extensions.
For single exposure data products these are typically 60 or 61 extensions,
one for each working CCD.  The extension names are the same as the raw
data.  A useful reference for the extension names, CCD numbers, and focal
plane location is [<a href="#decamccds">DECam CCDs</a>].

<p>
The stacked data products divide the full field image into abutting tiles.
The number is always odd so that there is a center tile.  The default tiles
are the largest division of the field with size less than 16,000 pixel
per axis.  For very small dither offsets this results in 9 tiles in a
3x3 layout.  Users generally find desirable to do initial analysis on the
central tile of a modest size.  Users may also be able to join
the tiles themselves as needed.  But it is a user option to change the tile
size as indicated in <a href="tab9">table 9</a>.  One choice could be a very large size to
produce a single tile of the whole field.

<p>
To avoid repeation in the various calibration descriptions, most of the
calibration images used, e.g. dome flat fields, are noted in the data
product headers and are available from the DECam archive.  Unfortunately,
the filenames in the archive are not the same as those identified in the
header metadata.  Other calibration files may be requested in desired.

<p><blockquote><blockquote>
<center><h4><a name="tab9">Table 9: Data Product Options</a></h4></center>
<table>
<tbody><tr>
<th width="70" align="left">Details
</th><th width="100" align="left">Operation
</th><th width="150" align="left">Default
</th><th align="left">Description
</th><tr>
<td>&nbsp;
<td>Stack tile<br>size
<td>16,000
<td>The full coadded field, which varies in size based on dithers and
other factors, is divided into an odd number of tiles in each axes.
The maximum size of a tile can be defined from small for many tiles to
very large for a single tile of the whole field.
</tbody></table>
</blockquote></blockquote>

<p><blockquote><blockquote>
<center><h4><a name="tab10">Table 10: DECam and DCP Data Products</a></h4></center>

<p> The table shows the raw and DCP data products and how they are
categorized.  The OBSTYPE column is the observation/calibration type where
"object" means an on-sky science exposure.  The PROCTYPE and PRODTYPE
columns categorize a data product by processing type and product type
column.  The data product CODE column is a identifier in the archive
filenames reflecting the OBSTYPE, PROCTYPE, and PRODTYPE with single
character codes in that order.  The character code convention and archive
filename schema is described in [<a href="#nsanames14">NSA Names
2014</a>].  It is common to refer to
a data product by its data product code.

<p> <center> <table>
<tbody><tr><th>OBSTYPE   </th><th> PROCTYPE  </th><th> PRODTYPE </th><th> CODE </th><th> DESCRIPTION</th>
<tr>
<td valign="top"> object
<td valign="top"> Raw
<td valign="top"> image
<td valign="top"> ori
<td valign="top"> A raw sky exposure.
<tr>
<td valign="top"> standard
<td valign="top"> Raw
<td valign="top"> image
<td valign="top"> pri
<td valign="top"> A raw non-proprietary (shared) standard exposure.
<tr>
<td valign="top"> zero
<td valign="top"> Raw
<td valign="top"> image
<td valign="top"> zri
<td valign="top"> A single raw zero bias exposure.
<tr>
<td valign="top"> dflat
<td valign="top"> Raw
<td valign="top"> image
<td valign="top"> fri
<td valign="top"> A single raw dome flat exposure.


<tr><td colspan="5"><hr>
<tr>
<td valign="top"> object    
<td valign="top"> InstCal   
<td valign="top"> image    
<td valign="top"> ooi 
<td valign="top"> The instrumentally corrected science flux data for
an individual exposure with default large scale background uniformity.
The pixel units are detector analog counts.
<tr>
<td valign="top"> object    
<td valign="top"> SkySub
<td valign="top"> image    
<td valign="top"> oki 
<td valign="top"> The instrumentally corrected science flux data for
an individual exposure with per CCD background uniformity.
The pixel units are detector analog counts.
<tr>
<td valign="top"> object    
<td valign="top"> InstCal   
<td valign="top"> dqmask   
<td valign="top"> ood 
<td valign="top"> Data quality mask of integer bad pixel codes as
defined in <a href="#tab12">table 12</a>.  This applies to both ooi and oki.
<tr>
<td valign="top"> object    
<td valign="top"> InstCal   
<td valign="top"> wtmap    
<td valign="top"> oow 
<td valign="top"> Weight map (inverse variance) as estimated from
the detector read noise and gain.  This applies to both ooi and oki.

<tr><td colspan="5"><hr>
<tr>
<td valign="top"> object    
<td valign="top"> Resampled   
<td valign="top"> image    
<td valign="top"> opi 
<td valign="top"> The oki or ooi data product tangent plane projected to
east-left/north-up (at the chosen tangent point!) and uniform pixel size
(default 0.27 "/pix). Though projections for one or both may be chosen by
the operator or user (see <a href="#9">&sect;9</a>), only one projected data product is
produced.  If there is an oki that is used otherwise it is the ooi.
<tr>
<td valign="top"> object    
<td valign="top"> Resampled   
<td valign="top"> dqmask   
<td valign="top"> opd 
<td valign="top"> The ood data product projected to match the opi.
<tr>
<td valign="top"> object    
<td valign="top"> Resampled   
<td valign="top"> wtmap    
<td valign="top"> opw 
<td valign="top"> The oow weight map projected to match the opi.

<tr><td colspan="5"><hr>
<tr>
<td valign="top"> object    
<td valign="top"> Stacked   
<td valign="top"> image    
<td valign="top"> osi 
<td valign="top"> The ooi science data products with the same chosen tangent
point are stacked/coadded as described in <a href="#10">&sect;10</a>.  Whether this
is produced depends on the projections selected
by the operator or user (see <a href="#9">&sect;9</a>).
<tr>
<td valign="top"> object    
<td valign="top"> Stacked
<td valign="top"> image    
<td valign="top"> osj 
<td valign="top"> The oki science data products with the same chosen tangent
point are stacked/coadded as described in <a href="#10">&sect;10</a>.  Whether this
is produced depends on the projections selected
by the operator or user (see <a href="#9">&sect;9</a>).
<tr>
<td valign="top"> object    
<td valign="top"> Stacked   
<td valign="top"> dqmask   
<td valign="top"> osd 
<td valign="top"> Data quality mask of integer bad pixel codes as
defined in <a href="#tab12">table 12</a>.  This applies to both osi and osj.
<tr>
<td valign="top"> object    
<td valign="top"> Stacked   
<td valign="top"> wtmap    
<td valign="top"> osw 
<td valign="top"> Weight map (inverse variance) as estimated from
the initial oow weight maps of the exposures combined.  The stacking
is done as a combining of the variances as described in <a
href="10">&sect;10</a>.
This applies to both osi and oji.


<tr><td colspan="5"><hr>
<tr>
<td valign="top"> zero      
<td valign="top"> MasterCal 
<td valign="top"> image    
<td valign="top"> zci 
<td valign="top"> Master zero bias from a calibration sequence.
<tr>
<td valign="top"> dome flat 
<td valign="top"> MasterCal 
<td valign="top"> image    
<td valign="top"> fci 
<td valign="top"> Master dome flat field from a calibration sequence. 
<tr>
<td valign="top"> fringe    
<td valign="top"> MasterCal 
<td valign="top"> image    
<td valign="top"> hci 
<td valign="top"> Fringe template from a night with at least 50 good
exposures.

<tr><td colspan="5"><hr>
<tr>
<td valign="top"> phot flat      
<td valign="top"> MasterCal 
<td valign="top"> image    
<td valign="top"> pci 
<td valign="top"> Photometric flat field (aka star flat).
<tr>
<td valign="top"> illumcor
<td valign="top"> MasterCal 
<td valign="top"> image    
<td valign="top"> ici 
<td valign="top"> Dark sky illumination flat field or background
template.
<tr>
<td valign="top"> illum     
<td valign="top"> MasterCal 
<td valign="top"> image    
<td valign="top"> oci 
<td valign="top"> Dark sky template from a night with at least 50 good
exposures.
</tbody></table></center>
</blockquote></blockquote>


<p><blockquote><blockquote>
<center><h4><a name="tab11">Table 11: Data Product Files</a></h4></center>
<p> The data products are all compressed FITS files [<a
href="#fits18">FITS V4.0 2018</a>].
When uncompressed they are FITS multi-extension files (MEF [<a
href="#fits18">FITS V4.0 2018</a>]
with a data-less primary header of global keywords applying to all
extensions.  There are typically 60 or 61 extensions, one for each working
CCD.  The current files in the archive have names with the following
structure.  The naming convention for the archived data products is
described in [<a href="#nsanames14">NSA Names 2014</a>].  There are old raw and DCP data products that
do not follow this convention and begin with "dec" (raw) or "tu" (DCP)
followed by an opaque sequence number.

<center>
<b>[instrument]_[yymmdd_hhmmss]_[code]_[filter]_[version].fits.fz</b>
</center>

<p><center><table>
<tbody><tr>
<th>Field
</th><th>Description
</th><tr>
<td valign="top">[instrument]
<td valign="top">For DECam this is "c4d" for Cerro Tololo +
Blanco 4-m Telescope + DECam.
<tr>
<td valign="top">[yymmdd_hhmmss]
<td valign="top">The UT date/time of the exposure.
<tr>
<td valign="top">[code]
<td valign="top">The data product code as defined in <a
href="#tab12">table 12</a>.
<tr>
<td valign="top">[filter]
<td valign="top">The abbreviated filter band (e.g. u, g, r, i, z, VR,
N662, and other narrow band filters).
This applies to all data products except zero bias for which this
field is missing.  For the calibration files there is also a letter
following the filter for the type of calibration: e.g. F for dome flat.
<tr>
<td valign="top">[version]
<td valign="top">The version of the data product which is distinct from the
pipeline version.  Typically "v1" but there are various other values
from higher version numbers or project/program/request specific
identifiers.

</tbody></table></center>
</blockquote></blockquote>

<p><blockquote><blockquote>
<center><h4><a name="tab12">Table 12: Data quality codes</a></h4></center>
<p> The data quality data product uses the integer codes given here
for each pixel.  The code values are in priority order.  For example,
if a pixel might lie in a cosmic ray but if it was considered a CCD
defect it would be code 1 rather than 5.  The data quaility codes for
the stacked data product is different than for the indivual exposures.

<p><center><table>
<tbody>
<tr><th>&nbsp;<th>&nbsp;<th width="200" align="left">Single
(ooi/oki)<th width="200" align="left">Stack (osi)
<tr><td>0<td>=<td>scientifically good<td>scientifically good
<tr><td>1<td>=<td>CCD defect<td>all input bad
<tr><td>2<td>=<td>&nbsp;<td>no overlapping data
<tr><td>3<td>=<td>saturated<td>&nbsp;
<tr><td>4<td>=<td>bleed trail/edge bleed<td>&nbsp;
<tr><td>5<td>=<td>cosmic ray<td>&nbsp;
<tr><td>8<td>=<td>streak<td>&nbsp;
</tbody></table></center>
</blockquote></blockquote>

<p style="page-break-before: always">
<h3><a name="References">References</a></h3>

<!--ul style="list-style: none;"-->
<table>
<tr><td valign="top" width="200"> [<a name="sex96">SExtractor
1996</a>]<td>E. Bertin and S. Arnouts, <cite><a target="ref"
href="https://ui.adsabs.harvard.edu/abs/1996A%26AS..117..393B/abstract">SExtractor: Software for source
extraction.</a></cite>, AAPS, 117, 1996
<tr><td valign="top"> [<a name="despipe18">DES Pipeline, 2018</a>]<td>E. Morganson et al.,
<cite><a target="ref"
href="https://ui.adsabs.harvard.edu/abs/2018PASP..130g4501M/abstract">The Dark Energy Survey Image
Processing Pipeline</a></cite>, ASPC 130, 2018
<tr><td valign="top"> [<a name="dcp14">DCP 2014</a>]<td>F. Valdes, R. Gruendl, and DES
Project, <cite><a target="ref"
href="https://ui.adsabs.harvard.edu/abs/2014ASPC..485..379V/abstract">The DECam Community
Pipeline</a></cite>, ASP Conference 485, 2014
<tr><td valign="top"> [<a name="decam15">DECam 2015</a>]<td>B. Flaugher et al., <cite><a
target="ref"
href="https://ui.adsabs.harvard.edu/abs/2015AJ....150..150F/abstract">The Dark Energy
Camera</a></cite>, AJ, 150, 2015
<tr><td valign="top"> [<a name="ace01">ACE 2001</a>]<td>F. Valdes,
<cite><a target="ref" href="https://ui.adsabs.harvard.edu/abs/2001ASPC..238..507V/abstract">ACE: Astronomical Cataloging
Environment</a></cite>, ASPC 238, 2001
<tr><td valign="top"> [<a name="scamp06">SCAMP 2006</a>]<td>E. Bertin, <cite><a target="ref"
href="https://ui.adsabs.harvard.edu/abs/2006ASPC..351..112B/abstract">Automatic Astrometric and
Photometric Calibration
with SCAMP</a></cite>, ASPC 351, 2006
<tr><td valign="top"> <a name="bernstein17">[Bernstein 2017</a>]<td>G. Berstein, <cite><a
target="ref"
href="https://ui.adsabs.harvard.edu/abs/2017PASP..129k4502B/abstract">Instrumental response model
and detrending for the
Dark Energy Camera</a></cite>, PASP 129, 2017
<tr><td valign="top"> [<a name="mods15">MODS 2015</a>]<td>F. Valdes and DECam NEO Survey,
<cite><a target="ref"
href="https://ui.adsabs.harvard.edu/abs/2015ASPC..495...95V/abstract">A Moving Object
Detection System (MODS) for the
DECam NEO Survey</a></cite>, ASPC 495, 2015
<tr><td valign="top"> [<a name="fits18">FITS V4.0 2018</a>]<td>FITS Working Group, <cite><a
target="ref" href="https://fits.gsfc.nasa.gov/standard40/fits_standard40aa-le.pdf">Definition of the
Flexible Image Transport System (FITS), version 4.0</a></cite>, IAU
Commission 5, 2018.
<tr><td valign="top"> [<a name="nsanames14">NSA Names 2014</a>]<td>R. Seaman et al., <cite><a
target="ref"
href="http://ast.noao.edu/sites/default/files/File_Naming_Conventions_v12.pdf">File Naming Convention
for the NOAO Science Archive</a></cite>, 2014
<tr><td valign="top"> [<a href="tpv11">TPV 2011</a>]<td>F. Valdes, <cite><a target="ref"
href="https://fits.gsfc.nasa.gov/registry/tpvwcs.html">TPV Convention for Representing FITS
Image Distortions</a></cite>, FITS Support Office, 2011
<tr><td valign="top"> [<a name="decamccds">DECam CCDs</a>]<td><cite><a target="ref"
href="http://www.ctio.noao.edu/noao/sites/default/files/DECam/DECamPixelOrientation.png">Pixel
Orientation of DECam</a></cite>, CTIO, 2012
</table>

</ul></blockquote></body></html>
